Bug 1655076 - ironic-inspector introspection fails when updating port with missing switch_id (OSP-14)
Summary: ironic-inspector introspection fails when updating port with missing switch_i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-inspector
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 14.0 (Rocky)
Assignee: Bob Fournier
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1645571
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 13:47 UTC by Bob Fournier
Modified: 2019-03-18 12:56 UTC (History)
7 users (show)

Fixed In Version: openstack-ironic-inspector-8.0.2-0.20181219092843.9b6133b.el7ost
Doc Type: Bug Fix
Doc Text:
Cause: Network switches can be configured to send non-mac addresses in the chassis ID LLDP field. Consequence: Receiving a non-mac address in the Chassis ID will cause ironic inspector to generate an exception and fail introspection. Fix: Handle non-mac address and other unexpected fields when processing LLDP data. Result: Introspection will pass.
Clone Of: 1645571
Environment:
Last Closed: 2019-03-18 12:56:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack Storyboard 2004238 None None None 2018-11-30 13:47:50 UTC
OpenStack gerrit 615456 None None None 2018-11-30 13:47:50 UTC
OpenStack gerrit 618177 None None None 2018-11-30 13:47:50 UTC
Red Hat Product Errata RHBA-2019:0587 None None None 2019-03-18 12:56:48 UTC

Comment 3 Bob Fournier 2019-03-06 15:45:54 UTC
Verified exception handler has been added and unit test passes.

Comment 6 errata-xmlrpc 2019-03-18 12:56:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0587


Note You need to log in before you can comment on or make changes to this bug.